### Method

# FwupdPlugin HidDevice add_flag

since: 1.5.2

#### Declaration [src]

    void
    fu_hid_device_add_flag (
      FuHidDevice* self,
      FuHidDeviceFlags flag
    )

#### Description [src]

Adds a flag to be used for all set and get report messages.

Available since: 1.5.2

#### Parameters

`flag`

  Type: `FuHidDeviceFlags`

  HID device flags, e.g. `FU_HID_DEVICE_FLAG_RETRY_FAILURE`.